package game_srv

import (
	"context"
	"usdk-srv-sdk/usdklib"
)

// 游戏道具（示例）
type tPropInfo struct {
	Key    string  `json:"key"`
	Name   string  `json:"name"`
	Amount float64 `json:"amount"`
}

// 游戏服务（示例）
type tGameServer struct {
	ctx      context.Context
	usdk     *usdklib.USDK
	gameUser map[string]*tGameUser
}

type tRespBase struct {
	Code int         `json:"code"`
	Msg  string      `json:"msg,omitempty"`
	Data interface{} `json:"data,omitempty"`
}

type tGameUser struct {
	SdkUser tSdkUserGameUser `json:"sdkuser"`
	Pack    map[string]int   `json:"pack"`
}

type tSdkUserGameUser struct {
	ChannelUserId   string `json:"channelUserId"`
	ChannelUserName string `json:"channelUserName,omitempty"`
	Channel         string `json:"channel,omitempty"`
	ChannelId       int    `json:"channelId"`
}
